
%global meadversion 20140925.0.0
%global namedversion 20140925.0.0.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 2
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}sun-xsom}
%{!?scl:%global pkg_name %{name}}

%define maven_version 20140925.0.0.redhat-1

Name:           %{?scl_prefix}sun-xsom
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        XSOM
Group:          Development/Java

%if %with mead
Source100: xsom-20140925.0.0.redhat-1-scm-sources.zip
Source102: xsom-20140925.0.0.redhat-1-project-sources.tar.gz
Source103: xsom-20140925.0.0.redhat-1.pom
Source104: xsom-20140925.0.0.redhat-1-javadoc.jar
Source105: xsom-20140925.0.0.redhat-1-sources.jar
Source106: xsom-20140925.0.0.redhat-1.jar
%endif

License:        CDDL 1.1 or GPLv2 with exceptions
URL:            http://xsom.java.net/
Provides:       %{?scl_prefix}xsom = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}relaxngDatatype >= 0:2002.04.14
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
XML Schema Object Model (XSOM) is a Java library that allows applications to
easily parse XML Schema documents and inspect information in them. It is
expected to be useful for applications that need to take XML Schema as
an input.

%if %with javadoc
%package javadoc
Summary:        Javadoc for xsom
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n xsom -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/xsom-%{namedversion}.jar %{buildroot}%{_javadir}/xsom-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/xsom-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/xsom-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/xsom-%{namedversion}-sources.jar %{buildroot}%{_javadir}/xsom-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/xsom-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/xsom-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/xsom-%{namedversion} -x META-INF/\*
%{__ln_s} xsom-%{namedversion} %{buildroot}%{_javadocdir}/xsom
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc copyright.txt license.txt doc/*
%{_javadir}/xsom-%{namedversion}.jar
%{_javadir}/xsom.jar
%if %with javadoc
%{_javadir}/xsom-%{namedversion}-javadoc.jar
%{_javadir}/xsom-javadoc.jar
%endif
%{_javadir}/xsom-%{namedversion}-sources.jar
%{_javadir}/xsom-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/xsom-%{namedversion}
%{_javadocdir}/xsom
%endif

%changelog
* Thu Jul 02 2015 David Walluck <dwalluck@redhat.com> - 20140925.0.0-2.redhat_1.1
- fix Requires

* Fri Jun 26 2015 David Walluck <dwalluck@redhat.com> - 20140925.0.0-1.redhat_1.1
- release

